////////////////////////////////////////////////////////////////////////////////
//
//	Author: Leblanc Christophe < christopheleblanc@gmx.com >
//	
//	-This code is distributed for free without any warrantee.
//	-You can use it and redistribute it without restrictions.
//	
////////////////////////////////////////////////////////////////////////////////

var config = {
    width: 800,
    height: 600,
    type: Phaser.WEBGL,
    transparent: true,
    parent: 'game_screen',
    scene: {
        create: create,
        update: update
    }
};

var game = new Phaser.Game(config);

var randSquareGenerator;


function create (){
	
	phaser = this;
    
    randSquareGenerator = new RandomSquareGenerator(phaser, game);
	
	randSquareGenerator.create();
	
	this.input.on('pointerdown', function (pointer) {
		
		//randSquareGenerator.x = pointer.x;
		//randSquareGenerator.y = pointer.y;
		
        //

    }, this);
	
	randSquareGenerator.start();
	
	var rdti = new RandomTimer(phaser);
	
	rdti.onStep = function(){
		randSquareGenerator.next();
	};
    
	rdti.start();
    
}

function update(){
	randSquareGenerator.update();
}